#pragma once
#include <map>
struct Fish_ShellItemCFGData
{
	//ÐòºÅ
	int mID;
	//Ãû³Æ
	std::string mName;
	//±¶ÂÊ
	int mRate;
	//×ÊÔ´
	std::string mSound;
};

class Fish_ShellItemCFG
{
public:
private:
	static std::auto_ptr<Fish_ShellItemCFG> msSingleton;
public:
	int GetCount();
	const Fish_ShellItemCFGData* GetData(int ID);
	const std::map<int, Fish_ShellItemCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_ShellItemCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_ShellItemCFGData> mMapData;
};
